Npm install FAILING!

Hi!
I downloaded the mflix-js project from the course materials section. However, I am not able to install the dependencies for the project using the “npm install” command. It shows node-gyp error and stops - doesn’t even create the node_modules folder.

I have node v15.3.0 on my device. I use macOS. I tried installing dependencies with and without package.json in my other projects and it’s all working there. I’m not sure what the issue is - all I can see is the node-gyp issue and that is to be expected.

Please advise - any help would be appreciated.

I’m attaching the screenshots of the error I’m getting.

Thanks,
Nandini M!

Screenshot 2021-04-19 at 12.18.05 AM|690x435

Hi,
have you installed necessary components needed by node-gyp?
Look it from here:
https://github.com/nodejs/node-gyp

Hi guys from Atlas,
Something is totally wrong with the installation precured.
I had the same issue with node-gyp.
After several hours spent in google I somehow completed the installation process.
But now the app is not functioning /status root leads to nowhere. It looks that config.gypi file doesn’t work properly.
Please do something, fix your course materials.
node v15.11.0 on WSL 2

Hi,

Turns out My Mac had Python 2.7 installed by default. I installed python 3.9.4. Now I am able to perform npm install. However, when I run ‘npm start’ command, I get the error as shown in the screenshot. ‘npm update’ command does not work and gives yt another error. Not sure what to do now.